
QGIS Application - Bug report #12822

Crash on exit in Windows version

2015-05-26 01:43 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows 7 (probably any Windows version)Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20918

Description

It seems like a recent master version (commit:b91e43a) crashes on exit. Installed through OSGeo4W.

I also tried with --noplugins to make sure none of the plugins is causing the crash.

I don't know which category I should assign.

Associated revisions

Revision 598563c0 - 2015-05-26 08:13 PM - Jürgen Fischer

fix crash on close (fixes #12822)

History

#1 - 2015-05-26 02:56 AM - Andreas Neumann

Matthias Kuhn thinks that it may have to do with commits commit:dbdfe40bf9b31ab7298b9f8b83b524de62fb7e24 and

commit:10239a0e60c673f91211632585e9fbb50d69cdc7

#2 - 2015-05-26 02:56 AM - Andreas Neumann

Ubuntu doesn't seem to be affected by this problem.

#3 - 2015-05-26 04:23 AM - Andreas Neumann

A simple open and close is sufficient to trigger the crash. Not even a project has to be loaded.

#4 - 2015-05-26 11:14 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"598563c05a7da95426e122d0d18dd9a05949ad18".

#5 - 2015-05-26 12:03 PM - Giovanni Manghi

- Target version set to Version 2.10
- Resolution set to fixed/implemented

#6 - 2015-05-27 12:46 AM - Radim Blazek

Thanks for the fix, it was my stupid GRASS icon without parent.
